SDL_GetNaturalDisplayOrientation(3)

NAME
SDL_GetNaturalDisplayOrientation - Get the orientation of a display when it is unrotated.

SYNOPSIS
#include <SDL3/SDL_video.h>

SDL_DisplayOrientation SDL_GetNaturalDisplayOrientation(SDL_DisplayID displayID);

FUNCTION PARAMETERS

displayID
    the instance ID of the display to query.

RETURN VALUE
Returns the SDL_DisplayOrientation enum value of the display, or SDL_ORIENTATION_UNKNOWN if it isn't available.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetDisplays(3)